What is the Debian equivalent of urw-fonts (needed for utf-8 in wkhtmltopdf)?

I'm trying to convert an html document with text in multiple languages (utf-8 encoding) to pdf using wkhtmltopdf, and ran into the exact issue described...

How to use specific fonts, Verdana for example with libharu in Ubuntu

I have some type1 types in /usr/share/fonts/type1/gsfonts/, and even more after installing msttcorefonts. But in that diversity of fonts, i dont know which one is verdana or arial or else. And no...

rmagick CarrierWave 'Failed to manipulate with rmagick' for pdf file

I am trying to use rmagick to convert to pdf, but i am getting the error: [Failed to manipulate with rmagick, maybe it is not an image? Original Error: FailedToExecuteCommand `"gs" -q...

imagemagick: append label, gravity buggy

I was trying to reproduce the hint in https://stackoverflow.com/questions/33942892/imagemagick-append-a-label-under-image-with-font-size This is my source image: convert red.png -pointsize 36...

SVG generation with FOP doesn't work

On one server, and on my Windows laptop, producing PDFs with this method works fine: http://www.databasesandlife.com/svg-to-pdf/ But on the other server I get this...

PhpStorm Installation issue on Ubuntu 14.04

I am back here again with one more issue that I am having installing PhpStorm on my Ubuntu 14.04. To do so I followed the following steps: Step 1. sudo apt-get purge openjdk* which gave me a long...

java double free or corruption

maybe stupid question but i'm getting randomly following error when running my *.jar package. Sometimes programm runs flawlessly and sometimes interrupts putting this out in console: *** Error in...

Installing sun-java6-jre gives error

I am installing sun-java6-jre on ubuntu 12.04, but I am getting the following error, The following packages have unmet dependencies: sun-java6-jdk : Depends: sun-java6-bin (= 6-06-0ubuntu1) but...

So much dependencies for installing the package 'nmap'

I want to install the package nmap on debian by the command apt-get, but It seems that the package nmap depends on so many dependencies! For example It depends on the packages imagemagick and...

Convert multipage PDF to a single images -- %03d not working

Many informations can be found about that (for...

0% [Connecting to in.archive.ubuntu.com takes too long time

whenever i run command who have to connect to archive.ubuntu.com, that command takes too long time to complete it task. sudo apt install oracle-java8-installer -y Reading package lists......

mistakenly installed ImageMagick on Debian - how to remove it?

I went to install imagick PECL extension on debian. I mistakenly installed ImageMagick with 75 MB unnecessary dependencies. Could someone please help me and tell me the simplest way to remove it...

Can't install Java9 due to download.oracle.com HTTP request sent throws 404 error

I can't install automated Java9 installation in UBUNTU16 machine which was working fine since long. Is this due to intermittent network connectivity of download.oracle.com server? It usually works...

Unable to install git - Unmet dependencies error (Ubuntu 11.10)

when i try to install git (sudo apt-get install git), I get following error: [email protected]:/usr/tomcat/apache-tomcat-7.0.25# sudo apt-get install git Reading package lists... Done Building...

Gnome-packagekit-data install error

I am in a bad state with Debian on my Pi, where I can no longer sudo apt-get install anything without error. For example $ sudo apt-get install autogen Reading package lists... Done Building...

Broken ImageMagick configuration

Yesterday I decided I wanted to install Perl-Magick to do some scripting on my images. I seem to have broken ImageMagick's delegates and created multiple versions. I'm not entirely sure... I'm...

rmagick installation

I am facing some issues while installing Rmagick. There are 2 ways to install this: 1] using Ruby-Gem 2] bld the source I am facing issues in both, but I will like to be able to get the gem and...

Error while installing java in ubuntu 16.04 having Cyberoam Client installed

I'm using Ubuntu 16.04 OS and also linked my pc with Cyberoam client for the security purpose. I'm trying to install java for Android Studio in it and I'm getting following error in terminal : >...

Ubuntu / DigitalOcean - Unable to fetch packages to install git on a fresh install

Just started with a fresh install of Ubuntu 14.04 on my digitalocean droplet and I'm trying to install git. My first attempt failed to install some packages - [email protected]:~# sudo apt-get install...

RStudio does not start in Ubuntu 12.04: segmentation fault

Whenever I start R-studio after having installed the package rstudio-0.99.473-amd64.deb the program quits instantly with a segmentation fault. The last output lines of strace are: > strace...

How to remove an incorrect package version from Ubuntu

An X86 XUbuntu system I work with has Java 8 installed via webupd8, and also a failed version for ARM. I want to remove the partially installed ARM version of Java. $ sudo apt-cache showpkg...

Issues installing ghostscript with ImageMagick

I've been having issues trying to install ImageMagick-6.8.6-9 w/ ghostscript-9.10. I've installed ghostscript with the prefix "./configure --prefix=/usr/local/" and tested the "gs" and it...

dpkg/miktex error in ubuntu 14.04

I am getting these warnings which I am unable to solve. I tried using these : sudo dpkg --configure -a for i in $(dpkg -l|awk '/^ii/ {print $2}'); do sudo apt-get --reinstall -y...

Can any packages be removed from the debian minimal image?

<b>Baackstory</b>: I am trying to create a customized Linux distribution for my project. My first thought was LFS(Linux from Scratch) and I had almost completed that when my (unreasonable)academic...